This URL retrieves the DXL integration configuration for domain.
Resource URL
GET /domain/<domain_id>/dxlintegration
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Domain id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| Inherit settings from parent domain | Boolean |
| DXL is enabled or not | Boolean |
Example
Request
GET https://<NSM_IP>/sdkapi/domain/0/dxlintegration
Response
{
"inheritSettings": true,
"enableDXL": true
}
Error Information
Following error code is returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 404 | 1105 | Invalid domain |